// povrender.h
//
// Render the universe using POV-Ray.
//
// cre: 2012-02-15
// aut: JGS
//
// (C) 2012 EVOLViA

#include "render.h"
#include <string>

class Universe;

class POVRender: public Render
{
	static char const * const 
		s_colors[4];
	static size_t const 
		s_numColors;

	std::string
		d_scenefile,
		d_imagefile;

	int
		d_width,
		d_height,
		d_counter;

	public:

		POVRender(std::string const &basename, int width = 854, int height = 480);
	
		virtual void operator() (Universe const &universe, double t);

	private:

		void writeScene(Universe const &universe, double t);

		int renderScene();
};
